OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Static Public Attributes | List of all members
op::Profiler Class Reference

`#include <profiler.hpp>`

## Static Public Member Functions
static void | setDefaultX (const unsigned long long defaultX)
static const std::string | timerInit (const int line, const std::string &function, const std::string &file)
static void | timerEnd (const std::string &key)
static void | printAveragedTimeMsOnIterationX (const std::string &key, const int line, const std::string &function, const std::string &file, const unsigned long long x=DEFAULT_X)
static void | printAveragedTimeMsEveryXIterations (const std::string &key, const int line, const std::string &function, const std::string &file, const unsigned long long x=DEFAULT_X)
static void | profileGpuMemory (const int line, const std::string &function, const std::string &file)

## Static Public Attributes
static unsigned long long | DEFAULT_X

## Member Function Documentation

static void op::Profiler::printAveragedTimeMsEveryXIterations | ( | const std::string & | key,
|  | const int | line,
|  | const std::string & | function,
|  | const std::string & | file,
|  | const unsigned long long | x = `DEFAULT_X`
| ) |  |
| static

static void op::Profiler::printAveragedTimeMsOnIterationX | ( | const std::string & | key,
|  | const int | line,
|  | const std::string & | function,
|  | const std::string & | file,
|  | const unsigned long long | x = `DEFAULT_X`
| ) |  |
| static

static void op::Profiler::profileGpuMemory | ( | const int | line,
|  | const std::string & | function,
|  | const std::string & | file
| ) |  |
| static

static void op::Profiler::setDefaultX | ( | const unsigned long long | defaultX | ) |
| static

static void op::Profiler::timerEnd | ( | const std::string & | key | ) |
| static

static const std::string op::Profiler::timerInit | ( | const int | line,
|  | const std::string & | function,
|  | const std::string & | file
| ) |  |
| static

## Member Data Documentation

unsigned long long op::Profiler::DEFAULT_X
| static

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/utilities/profiler.hpp